---
author:
- Orestis Malaspinas
title: Quelques cours de la filière ITI de hepia
autoSectionLabels: true
autoEqnLabels: true
eqnPrefix: 
  - "éq."
  - "éqs."
chapters: true
numberSections: true
chaptersDepth: 1
sectionsDepth: 3
lang: fr
documentclass: book
papersize: A4
cref: false
pandoc-numbering:
  - category: exercice
    listing: Liste des exercices
urlcolor: blue
corrige: false
---

<div align="left">
<video width="640" poster="figs/intro.svg" height="360" controls="true" autoplay="false">
   <source src="http://129.194.185.180/videos/malaspinas.mp4" type="video/mp4">
</video>
<iframe poster="figs/intro.svg" title="omhepia's player frame" i18n-title="channel#ShareDialog:playerEmbedFrame|Embed player Frame copied from share dialog" allowfullscreen="true" src="https://mixer.com/embed/player/omhepia?disableLowLatency=1" width="640" height="360"> 
</iframe>
</div>

La chaîne *mixer.com* de mes cours se trouve sur <https://www.mixer.com/omhepia>

:::::::::::::: {.columns}
::: {.column width="40%"}

# Première année

# Cours de programmation séquentielle en C

## [Récapitulatif](prog_seq_c_cours/index.html)

## Introduction [PDF](prog_seq_c_cours/intro.pdf)

## Base 1 [PDF](prog_seq_c_cours/base_1.pdf)

## Base 2 [PDF](prog_seq_c_cours/base_2.pdf)

## Base 3 [PDF](prog_seq_c_cours/base_3.pdf)

## Intro à `make` [PDF](prog_seq_c_cours/make.pdf)

## Tests unitaires et assertions [PDF](prog_seq_c_cours/tests_assertions.pdf)

## Chaînes de caractères [PDF](prog_seq_c_cours/strings.pdf)

## La ligne de commande [PDF](prog_seq_c_cours/ligne_commande.pdf)

# Exercices de programmation séquentielle en C

## Le nombre secret, [HTML](prog_seq_c_tp/nombre_secret/index.html), [PDF](prog_seq_c_tp/nombre_secret/nombre_secret.pdf)

## Tableaux unidimensionnels, [HTML](prog_seq_c_tp/tableaux_unidimensionnels/index.html), [PDF](prog_seq_c_tp/tableaux_unidimensionnels/tableaux_unidimensionnels.pdf), [GFX](prog_seq_c_tp/tableaux_unidimensionnels/gfx_example.tar.gz)

## Les matrices, [HTML](prog_seq_c_tp/matrices_intro/index.html), [PDF](prog_seq_c_tp/matrices_intro/matrices_intro.pdf)

## Les chaînes de caractères, [HTML](prog_seq_c_tp/chaines_caracteres/index.html), [PDF](prog_seq_c_tp/chaines_caracteres/chaines_caracteres.pdf)

## Traitement d'images, [HTML](prog_seq_c_tp/transformations/index.html), [PDF](prog_seq_c_tp/transformations/transformations.pdf)

## Vector, [HTML](prog_seq_c_tp/vector/index.html), [PDF](prog_seq_c_tp/vector/vector.pdf)

## Fichier LAS, [HTML](prog_seq_c_tp/lidar/index.html), [PDF](prog_seq_c_tp/lidar/read.pdf)

:::
::: {.column width="60%"}


# Deuxième année

# Mathématiques en technologie de l'information

##  [Polycopié](mti/index.html), [git repo](https://githepia.hesge.ch/orestis.malaspin/math_tech_info), [pdf](mti/cours.pdf)

##  [Travail pratique: intégrales](mti/tpIntegrales/index.html), [git repo](https://githepia.hesge.ch/orestis.malaspin/math_tech_info/tree/master/tpIntegrales), [pdf](mti/tpIntegrales/tp_integrales_conv.pdf)

# Programmation concurrente

## [Polycopié](concurrence/index.html), [git repo](https://githepia.hesge.ch/orestis.malaspin/cours_prog_conc)

:::
::::::::::::::

# Les projets de bachelor passés

## [Astéroides avec algorithme génétique, T. Ibanez](https://dai.ly/x6tosqh)
## [Pacman, Pong et Phoenix avec technique de renforcement, N. Nufer](https://dai.ly/x6tosqg)

# Cours d'années précédentes

## [Programmation séquentielle en Rust](prog_seq/index.html), [git repo](https://githepia.hesge.ch/orestis.malaspin/rust)

# Exercices programmation séquentielle en Rust

## TP1 Rust: Nombre secret, [HTML](prog_seq/exercices/01_nombre_secret/), [PDF](prog_seq/exercices/01_nombre_secret/index.pdf)
## TP2 Rust: Calcul de $\pi$, [HTML](prog_seq/exercices/02_calcul_pi/), [PDF](prog_seq/exercices/02_calcul_pi/index.pdf)
## TP3 Rust: Tableaux, [HTML](prog_seq/exercices/03_tableaux/), [PDF](prog_seq/exercices/03_tableaux/index.pdf)
## TP4 Rust: Couverture de la reine, [HTML](prog_seq/exercices/04_reine/), [PDF](prog_seq/exercices/04_reine/index.pdf)
## TP5 Rust: Puissance 4, [HTML](prog_seq/exercices/05_puissance4/), [PDF](prog_seq/exercices/05_puissance4/index.pdf)
## TP6 Rust: Listes, [HTML](prog_seq/exercices/06_listes/), [PDF](prog_seq/exercices/06_listes/index.pdf)
## TP7 Rust: Reed-Solomon, [HTML](prog_seq/exercices/07_reed_solomon/index.html), [PDF](prog_seq/exercices/07_reed_solomon/index.pdf)
## TP8 Rust: Transformation d'images, [HTML](prog_seq/exercices/08_transformation_images/index.html), [PDF](prog_seq/exercices/08_transformation_images/index.pdf)
## TP9 Rust: Problème du voyageur de commerce, [HTML](prog_seq/exercices/09_voyageur_commerce/index.html), [PDF](prog_seq/exercices/09_voyageur_commerce/index.pdf)